## postal 0.1.0

=== DESCRIPTION ===
Package: postal
Type: Package
Title: United States Postal Service API Interface
Version: 0.1.0
Author: Amanda Dobbyn <amanda.e.dobbyn@gmail.com>
Maintainer: Amanda Dobbyn <amanda.e.dobbyn@gmail.com>
Description: An interface to the United States Postal Service Post Calc and Zone Calc APIs, postal
  allows users to find the postage price, delivery day, and other information for packages and envelopes, 
  as well as to find the postal zone for an origin and a destination zip code pair.
Depends: R (>= 2.10)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: TRUE
URL: https://github.com/aedobbyn/postal/
BugReports: https://github.com/aedobbyn/postal/issues/
Imports: curl, dplyr, glue, janitor, jsonlite, lubridate, magrittr,
        purrr, readr, stringr, tibble (>= 1.2), tidyr
Suggests: covr, cowsay, ggplot2, here, knitr, maps, rmarkdown, stats,
        testthat, zipcode
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-07-22 20:58:37 UTC; amanda
Repository: CRAN
Date/Publication: 2018-07-27 21:20:02 UTC

## postal 0.1.1

=== DESCRIPTION ===
Package: postal
Type: Package
Title: United States Postal Service API Interface
Version: 0.1.1
Authors@R: c(
    person("Amanda", "Dobbyn", email = "amanda.e.dobbyn@gmail.com", role = c("aut", "cre")),
    person("Bernie", "Gray", role = "ctb"))
Maintainer: Amanda Dobbyn <amanda.e.dobbyn@gmail.com>
Description: An interface to the United States Postal Service Post Calc and Zone Calc APIs <https://postcalc.usps.com/>, postal
  allows users to find the postage price, delivery day, and other information for packages and envelopes, 
  as well as to find the postal zone for an origin and a destination zip code pair.
Depends: R (>= 2.10)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: TRUE
URL: https://github.com/aedobbyn/postal/
BugReports: https://github.com/aedobbyn/postal/issues/
Imports: curl, dplyr, glue, janitor, jsonlite, lubridate, magrittr,
        purrr, readr, stats, stringr, tibble (>= 1.2), tidyr
Suggests: covr, cowsay, ggplot2, here, knitr, maps, rmarkdown,
        testthat, zipcode
VignetteBuilder: knitr
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-02-02 16:49:21 UTC; amanda
Author: Amanda Dobbyn [aut, cre],
  Bernie Gray [ctb]
Repository: CRAN
Date/Publication: 2019-02-02 17:20:03 UTC

## postal 0.60

=== debian/control ===
Source: postal
Build-Depends: debhelper, libssl096-dev
Section: non-US/main
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.0.1

Package: postal
Architecture: any
Depends: ${shlibs:Depends}
Description: SMTP benchmark - the mad postman.
 This program starts a specified number of processes to send as much random
 data to random accounts as possible.
 .
 Adds the X-Postal header to email it sends, so if someone uses it unethically
 then it will be easy to filter via procmail.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	./configure --prefix=`pwd`/debian/postal/usr
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/postal
	$(MAKE) install-bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## postal 0.62.1

=== Makefile ===
EXE=postal postal-list rabid
MAN8=postal-list.8 postal.8 rabid.8

all: $(EXE)

prefix=/home/rjc/debian/postal-0.62/debian/postal/usr
eprefix=${prefix}
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope

CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS)
CC=gcc $(CFLAGS) -O2 -g $(WFLAGS)

INSTALL=/usr/bin/install -c

TESTEXE=ex-test
BASEOBJS=expand.o userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o 
LFLAGS=-lstdc++  -lssl -lcrypto -lpthread


ALLOBJS=$(BASEOBJS) smtp.o client.o

postal: postal.cpp $(BASEOBJS) postal.h smtp.o
	$(CXX) postal.cpp $(BASEOBJS) smtp.o -o postal $(LFLAGS)

rabid: rabid.cpp $(BASEOBJS) postal.h client.o
	$(CXX) rabid.cpp $(BASEOBJS) client.o -o rabid $(LFLAGS)

ex-test: ex-test.cpp expand.o
	$(CXX) ex-test.cpp expand.o -o ex-test $(LFLAGS)

postal-list: postal-list.cpp expand.o
	$(CXX) postal-list.cpp expand.o -o postal-list $(LFLAGS)

install-bin: $(EXE)
	mkdir -p $(eprefix)/sbin
	${INSTALL} -s $(EXE) $(eprefix)/sbin

install: install-bin
	mkdir -p ${prefix}/man/man8
	${INSTALL} -m 644 $(MAN8) ${prefix}/man/man8

%.o: %.cpp %.h postal.h
	$(CXX) -c $<

%.o: %.c %.h
	$(CC) -c $<

clean:
	rm -f $(EXE) $(TESTEXE) $(ALLOBJS) md5.o build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f config.* Makefile postal.spec sun/pkginfo

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: postal
-Build-Depends: debhelper, libssl096-dev
-Section: non-US/main
+Build-Depends: debhelper, libssl-dev
+Section: utils
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.0.1

## postal 0.65

=== Makefile ===
SEXE=postal rabid bhm
EXE=postal-list
MAN8=postal.8 rabid.8 bhm.8
MAN1=postal-list.1

all: $(EXE) $(SEXE)

prefix=/usr/local
eprefix=${prefix}
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope

CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS)
CC=gcc $(CFLAGS) -O2 -g $(WFLAGS)

INSTALL=/usr/bin/install -c

TESTEXE=ex-test
BASEOBJS=userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o expand.o md5.o
LFLAGS=-lstdc++  -lgnutls -lpthread


ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o

postal: postal.cpp $(BASEOBJS) postal.h smtp.o
	$(CXX) postal.cpp $(BASEOBJS) smtp.o -o postal $(LFLAGS)

rabid: rabid.cpp $(BASEOBJS) postal.h client.o
	$(CXX) rabid.cpp $(BASEOBJS) client.o -o rabid $(LFLAGS)

bhm: bhm.cpp userlist.o basictcp.o logit.o results.o mutex.o bhmusers.o postal.h
	$(CXX) bhm.cpp userlist.o basictcp.o logit.o results.o mutex.o bhmusers.o -o bhm $(LFLAGS)

ex-test: ex-test.cpp expand.o
	$(CXX) ex-test.cpp expand.o -o ex-test $(LFLAGS)

postal-list: postal-list.cpp expand.o
	$(CXX) postal-list.cpp expand.o -o postal-list $(LFLAGS)

install-bin: $(EXE) $(SEXE)
	mkdir -p $(eprefix)/sbin $(eprefix)/bin
	${INSTALL} -s $(SEXE) $(eprefix)/sbin
	${INSTALL} -s $(EXE) $(eprefix)/bin

install: install-bin
	mkdir -p ${prefix}/share/man/man8 ${prefix}/share/man/man1
	${INSTALL} -m 644 $(MAN8) ${prefix}/share/man/man8
	${INSTALL} -m 644 $(MAN1) ${prefix}/share/man/man1

%.o: %.cpp %.h postal.h
	$(CXX) -c $<

%.o: %.c %.h
	$(CC) -c $<

clean:
	rm -f $(EXE) $(SEXE) $(TESTEXE) $(ALLOBJS) md5.o build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f config.* Makefile postal.spec sun/pkginfo

## postal 0.67

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/usr/local
+prefix=/home/rjc/postal/postal-0.66/debian/postal/usr
 eprefix=${prefix}
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
 
@@ -19,7 +19,7 @@
 LFLAGS=-lstdc++  -lgnutls -lpthread
 
 
-ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o
+ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o smtpserver.o
 
 postal: postal.cpp $(BASEOBJS) postal.h smtp.o
 	$(CXX) postal.cpp $(BASEOBJS) smtp.o -o postal $(LFLAGS)
@@ -52,6 +52,10 @@
 %.o: %.c %.h
 	$(CC) -c $<
 
+dep:
+	makedepend -Y *.cpp *.h
+	makedepend -f Makefile.in -Y *.cpp *.h
+
 clean:
 	rm -f $(EXE) $(SEXE) $(TESTEXE) $(ALLOBJS) md5.o build-stamp install-stamp
 	rm -rf debian/tmp core debian/*.debhelper
@@ -59,3 +63,42 @@
 
 realclean: clean
 	rm -f config.* Makefile postal.spec sun/pkginfo
+# DO NOT DELETE
+
+address.o: address.h
+basictcp.o: basictcp.h postal.h userlist.h conf.h address.h logit.h results.h
+basictcp.o: mutex.h
+bhm.o: bhmusers.h conf.h postal.h logit.h results.h mutex.h basictcp.h
+bhmusers.o: bhmusers.h conf.h postal.h expand.h
+client.o: client.h tcp.h postal.h cmd5.h md5.h thread.h port.h userlist.h
+client.o: conf.h logit.h results.h mutex.h
+cmd5.o: postal.h cmd5.h md5.h
+expand.o: expand.h
+ex-test.o: expand.h
+logit.o: logit.h
+mutex.o: postal.h mutex.h
+postal.o: userlist.h conf.h postal.h smtp.h tcp.h cmd5.h md5.h thread.h
+postal.o: port.h mutex.h logit.h
+postal-list.o: expand.h
+rabid.o: userlist.h conf.h postal.h client.h tcp.h cmd5.h md5.h thread.h
+rabid.o: port.h logit.h
+results.o: postal.h results.h mutex.h
+smtp.o: smtp.h conf.h tcp.h postal.h cmd5.h md5.h thread.h port.h mutex.h
+smtp.o: userlist.h logit.h results.h
+smtpserver.o: smtpserver.h logit.h tcp.h postal.h cmd5.h md5.h thread.h
+smtpserver.o: port.h results.h mutex.h
+tcp.o: tcp.h postal.h cmd5.h md5.h thread.h port.h userlist.h conf.h
+tcp.o: address.h logit.h
+thread.o: thread.h port.h
+userlist.o: userlist.h conf.h postal.h expand.h
+basictcp.o: postal.h
+bhmusers.o: conf.h postal.h
+client.o: tcp.h postal.h cmd5.h md5.h thread.h port.h
+cmd5.o: md5.h
+results.o: mutex.h
+smtp.o: conf.h tcp.h postal.h cmd5.h md5.h thread.h port.h mutex.h
+smtpserver.o: logit.h tcp.h postal.h cmd5.h md5.h thread.h port.h results.h
+smtpserver.o: mutex.h
+tcp.o: postal.h cmd5.h md5.h thread.h port.h
+thread.o: port.h
+userlist.o: conf.h postal.h

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 	
 	# Add here commands to compile the package.
-	./configure --prefix=`pwd`/debian/postal/usr
+	./configure --prefix=`pwd`/debian/postal/usr --without-openssl
 	$(MAKE)
 
 	touch build-stamp

## postal 0.70build1

=== Makefile ===
--- 
+++ 
@@ -5,30 +5,32 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/home/rjc/postal/postal-0.66/debian/postal/usr
+prefix=/home/rjc/postal/postal-0.70/debian/postal/usr
 eprefix=${prefix}
-WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -Woverloaded-virtual -pedantic -ffor-scope
+WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic
+WPLUS=-Woverloaded-virtual -ffor-scope
 
-CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS)
+CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS) $(WPLUS)
 CC=gcc $(CFLAGS) -O2 -g $(WFLAGS)
 
 INSTALL=/usr/bin/install -c
 
 TESTEXE=ex-test
 BASEOBJS=userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o expand.o md5.o
-LFLAGS=-lstdc++  -lgnutls -lpthread
+LFLAGS=-lstdc++  -lpthread
+CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls
 
 
 ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o smtpserver.o
 
 postal: postal.cpp $(BASEOBJS) postal.h smtp.o
-	$(CXX) postal.cpp $(BASEOBJS) smtp.o -o postal $(LFLAGS)
+	$(CXX) postal.cpp $(BASEOBJS) smtp.o -o postal $(CRYPTLFLAGS)
 
 rabid: rabid.cpp $(BASEOBJS) postal.h client.o
-	$(CXX) rabid.cpp $(BASEOBJS) client.o -o rabid $(LFLAGS)
+	$(CXX) rabid.cpp $(BASEOBJS) client.o -o rabid $(CRYPTLFLAGS)
 
 bhm: bhm.cpp userlist.o basictcp.o logit.o results.o mutex.o bhmusers.o postal.h
-	$(CXX) bhm.cpp userlist.o basictcp.o logit.o results.o mutex.o bhmusers.o -o bhm $(LFLAGS)
+	$(CXX) bhm.cpp userlist.o basictcp.o logit.o results.o mutex.o bhmusers.o -o bhm $(CRYPTLFLAGS)
 
 ex-test: ex-test.cpp expand.o
 	$(CXX) ex-test.cpp expand.o -o ex-test $(LFLAGS)
@@ -37,14 +39,14 @@
 	$(CXX) postal-list.cpp expand.o -o postal-list $(LFLAGS)
 
 install-bin: $(EXE) $(SEXE)
-	mkdir -p $(eprefix)/sbin $(eprefix)/bin
-	${INSTALL} -s $(SEXE) $(eprefix)/sbin
-	${INSTALL} -s $(EXE) $(eprefix)/bin
+	mkdir -p $(DESTDIR)$(eprefix)/sbin $(DESTDIR)$(eprefix)/bin
+	${INSTALL} -s $(SEXE) $(DESTDIR)$(eprefix)/sbin
+	${INSTALL} -s $(EXE) $(DESTDIR)$(eprefix)/bin
 
 install: install-bin
-	mkdir -p ${prefix}/share/man/man8 ${prefix}/share/man/man1
-	${INSTALL} -m 644 $(MAN8) ${prefix}/share/man/man8
-	${INSTALL} -m 644 $(MAN1) ${prefix}/share/man/man1
+	mkdir -p $(DESTDIR)${prefix}/share/man/man8 $(DESTDIR)${prefix}/share/man/man1
+	${INSTALL} -m 644 $(MAN8) $(DESTDIR)${prefix}/share/man/man8
+	${INSTALL} -m 644 $(MAN1) $(DESTDIR)${prefix}/share/man/man1
 
 %.o: %.cpp %.h postal.h
 	$(CXX) -c $<

## postal 0.73

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: postal
-Build-Depends: debhelper, libssl-dev
+Build-Depends: debhelper, libgnutls-dev
 Section: utils
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>

## postal 0.73+nmu1build1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/home/rjc/postal/postal-0.70/debian/postal/usr
+prefix=/home/rjc/postal/postal-0.73/debian/postal/usr
 eprefix=${prefix}
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic
 WPLUS=-Woverloaded-virtual -ffor-scope
@@ -18,7 +18,7 @@
 TESTEXE=ex-test
 BASEOBJS=userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o expand.o md5.o
 LFLAGS=-lstdc++  -lpthread
-CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls
+CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls -lgcrypt
 
 
 ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o smtpserver.o

=== sun/Makefile ===

all: pkg

INSTROOT=`pwd`/tmp
PKGNAME=postal

pkg:
	( cd .. ; ./configure --prefix=/usr --mandir=`pwd`/sun/tmp/usr/share/man )
	make -C .. WFLAGS="-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings"
	make -C .. prefix=${INSTROOT}/usr install
	pkgmk -o -r ${INSTROOT}
	pkgtrans -s spool ${PKGNAME}.pkg ${PKGNAME}
	echo "/var/spool/pkg/${PKGNAME}.pkg complete!"

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: postal
-Build-Depends: debhelper, libgnutls-dev
+Build-Depends: debhelper, libgnutls28-dev
 Section: utils
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=5
 
 build: build-stamp
 build-stamp:
@@ -56,7 +56,7 @@
 #	dh_installpam
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages
+	dh_installman *.8 *.1
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_strip

## postal 0.74ubuntu1

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,20 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/home/rjc/postal/postal-0.73/debian/postal/usr
+prefix=/tmp/p/postal-0.74/debian/postal/usr
 eprefix=${prefix}
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic
 WPLUS=-Woverloaded-virtual -ffor-scope
 
-CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS) $(WPLUS)
-CC=gcc $(CFLAGS) -O2 -g $(WFLAGS)
+CXX=g++-6 $(CFLAGS) -O2 -g $(WFLAGS) $(WPLUS)
+CC=gcc-6 $(CFLAGS) -O2 -g $(WFLAGS)
 
 INSTALL=/usr/bin/install -c
 
 TESTEXE=ex-test
 BASEOBJS=userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o expand.o md5.o
 LFLAGS=-lstdc++  -lpthread
-CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls -lgcrypt
+CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls
 
 
 ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o smtpserver.o

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: postal
-Build-Depends: debhelper, libgnutls28-dev
+Build-Depends: debhelper (>= 9), libgnutls28-dev
 Section: utils
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.0.1
 
 Package: postal

## postal 0.75

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/tmp/p/postal-0.74/debian/postal/usr
+prefix=/home/rjc/src/p/postal-0.75/debian/postal/usr
 eprefix=${prefix}
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic
 WPLUS=-Woverloaded-virtual -ffor-scope
 
-CXX=g++-6 $(CFLAGS) -O2 -g $(WFLAGS) $(WPLUS)
-CC=gcc-6 $(CFLAGS) -O2 -g $(WFLAGS)
+CXX=g++ $(CFLAGS) -O2 -g $(WFLAGS) $(WPLUS)
+CC=gcc $(CFLAGS) -O2 -g $(WFLAGS)
 
 INSTALL=/usr/bin/install -c
 
@@ -40,8 +40,8 @@
 
 install-bin: $(EXE) $(SEXE)
 	mkdir -p $(DESTDIR)$(eprefix)/sbin $(DESTDIR)$(eprefix)/bin
-	${INSTALL} -s $(SEXE) $(DESTDIR)$(eprefix)/sbin
-	${INSTALL} -s $(EXE) $(DESTDIR)$(eprefix)/bin
+	${INSTALL} $(SEXE) $(DESTDIR)$(eprefix)/sbin
+	${INSTALL} $(EXE) $(DESTDIR)$(eprefix)/bin
 
 install: install-bin
 	mkdir -p $(DESTDIR)${prefix}/share/man/man8 $(DESTDIR)${prefix}/share/man/man1

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Build-Depends: debhelper (>= 9), libgnutls28-dev
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.0.1
 
 Package: postal

## postal 0.75build1

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
 
 build: build-stamp
 build-stamp:

## postal 0.76

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all: $(EXE) $(SEXE)
 
-prefix=/home/rjc/src/p/postal-0.75/debian/postal/usr
+prefix=/home/etbe/postal/postal-0.76/debian/postal/usr
 eprefix=${prefix}
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic
 WPLUS=-Woverloaded-virtual -ffor-scope
@@ -17,8 +17,8 @@
 
 TESTEXE=ex-test
 BASEOBJS=userlist.o thread.o results.o address.o tcp.o cmd5.o mutex.o logit.o expand.o md5.o
-LFLAGS=-lstdc++  -lpthread
-CRYPTLFLAGS=-lstdc++  -lpthread -lgnutls
+LFLAGS=-lstdc++  -pthread
+CRYPTLFLAGS=-lstdc++  -pthread -lgnutls
 
 
 ALLOBJS=$(BASEOBJS) smtp.o client.o basictcp.o bhmusers.o smtpserver.o

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Section: utils
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Standards-Version: 3.0.1
+Standards-Version: 4.3.0
+Homepage: https://doc.coker.com.au/projects/postal/
+Vcs-Git: https://salsa.debian.org/etbe/postal.git
+Vcs-Browser: https://salsa.debian.org/etbe/postal
 
 Package: postal
 Architecture: any

## postal 0.76+nmu1

=== debian/rules ===
--- 
+++ 
@@ -67,5 +67,7 @@
 	dh_md5sums
 	dh_builddeb
 
+build-arch: build
+build-indep: build
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## postal 0.76+nmu1build2

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Build-Depends: debhelper (>= 9), libgnutls28-dev
 Section: utils
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 4.3.0
 Homepage: https://doc.coker.com.au/projects/postal/
 Vcs-Git: https://salsa.debian.org/etbe/postal.git

## postal 0.76+nmu2

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,16 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	
 	# Add here commands to compile the package.
-	./configure --prefix=`pwd`/debian/postal/usr --without-openssl
-	$(MAKE)
+	dh_auto_configure -- --prefix=`pwd`/debian/postal/usr --without-openssl
+	$(MAKE) CFLAGS="$(CFLAGS)"
 
 	touch build-stamp
